Bug 1010193 - libmount umount issues
libmount umount issues
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: util-linux (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Karel Zak
Juraj Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 04:12 EDT by Karel Zak
Modified: 2015-08-31 23:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: util-linux-2.23.2-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:54:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2013-09-20 04:12:30 EDT
Two issues has been fixed in upstream tree:

commit 4e9f59d1ee293108cd1d577f7b1a182f5b0ac9c0

    libmount: use memmove when overlap possible
    
    When unmounting some mountpoints as an unprivileged user (via the
    'user' option in fstab), the umount fails. Debug output of 'umount
    /opt' reveals:
    
    17760: libmount: CXT: [0x22890e0]: do umount
    17760: libmount: UTILS: moving to /opt parent
    17760: libmount: CXT: current directory moved to / [last_component='opt']
    17760: libmount: CXT: [0x22890e0]: umount(2) [target='pt', flags=0x00000000]


commit 2afcbe139d272fa494c28c8e6a0624d93a96e157

    libmount: free username after check
    
    Leak reported by valgrind:
    
    ==14226== 7 bytes in 1 blocks are definitely lost in loss record 1 of 1
    ==14226==    at 0x4C2757B: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==14226==    by 0x5534839: strdup (in /usr/lib/libc-2.18.so)
    ==14226==    by 0x4E53FE0: mnt_get_username (utils.c:560)
    ==14226==    by 0x4E456A5: mnt_context_prepare_umount (context_umount.c:413)
    ==14226==    by 0x4E464F7: mnt_context_umount (context_umount.c:851)
    ==14226==    by 0x403476: umount_one (umount.c:299)
    ==14226==    by 0x402B34: main (umount.c:629)
Comment 3 Ludek Smid 2014-06-13 07:54:29 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.